Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.bench
Class Metrics

    java.lang.Object
      com.intel.cosbench.bench.Metrics

All Implemented Interfaces:
  MapRegistry.Item, java.lang.Cloneable

    public class Metrics

extends java.lang.Object
implements MapRegistry.Item, java.lang.Cloneable

The class represents the overall performance metrics per each type.

Author:
  ywang19

Constructor Summary
`Metrics()`

Method Summary
`Metrics` | `clone()`
`static Metrics` | `convert(Mark mark, long window)`
`double` | `getAvgResTime()`
`double` | `getBandwidth()`
`long` | `getByteCount()`
`Histogram` | `getLatency()`
`static java.lang.String` | `getMetricsType(java.lang.String opType, java.lang.String sampleType)`
`java.lang.String` | `getName()`
`java.lang.String` | `getOpType()`
`int` | `getSampleCount()`
`java.lang.String` | `getSampleType()`
`double` | `getThroughput()`
`int` | `getTotalSampleCount()`
`int` | `getWorkerCount()`
`static Metrics` | `newMetrics(java.lang.String type)`
`void` | `setAvgResTime(double avgResTime)`
`void` | `setBandwidth(double bandwidth)`
`void` | `setByteCount(long byteCount)`
`void` | `setLatency(Histogram latency)`
`void` | `setName(java.lang.String name)`
`void` | `setOpType(java.lang.String opType)`
`void` | `setSampleCount(int sampleCount)`
`void` | `setSampleType(java.lang.String sampleType)`
`void` | `setThroughput(double throughput)`
`void` | `setTotalSampleCount(int totalSampleCount)`
`void` | `setWorkerCount(int workerCount)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Metrics

    public Metrics()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `MapRegistry.Item`

### setName

    public void setName(java.lang.String name)

### getOpType

    public java.lang.String getOpType()

### setOpType

    public void setOpType(java.lang.String opType)

### getSampleType

    public java.lang.String getSampleType()

### setSampleType

    public void setSampleType(java.lang.String sampleType)

### getSampleCount

    public int getSampleCount()

### setSampleCount

    public void setSampleCount(int sampleCount)

### getTotalSampleCount

    public int getTotalSampleCount()

### setTotalSampleCount

    public void setTotalSampleCount(int totalSampleCount)

### getByteCount

    public long getByteCount()

### setByteCount

    public void setByteCount(long byteCount)

### getWorkerCount

    public int getWorkerCount()

### setWorkerCount

    public void setWorkerCount(int workerCount)

### getAvgResTime

    public double getAvgResTime()

### setAvgResTime

    public void setAvgResTime(double avgResTime)

### getThroughput

    public double getThroughput()

### setThroughput

    public void setThroughput(double throughput)

### getBandwidth

    public double getBandwidth()

### setBandwidth

    public void setBandwidth(double bandwidth)

### getLatency

    public Histogram getLatency()

### setLatency

    public void setLatency(Histogram latency)

### clone

    public Metrics clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getMetricsType

    public static java.lang.String getMetricsType(java.lang.String opType,
                                                  java.lang.String sampleType)

### newMetrics

    public static Metrics newMetrics(java.lang.String type)

### convert

    public static Metrics convert(Mark mark,
                                  long window)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD